org.apache.solr.client.solrj.io.eval

## Interface ManyValueWorker

All Superinterfaces:
  ValueWorker

All Known Implementing Classes:
  AddEvaluator, AndEvaluator, AnovaEvaluator, AppendEvaluator, ArrayEvaluator, BinomialCoefficientEvaluator, CoalesceEvaluator, CopyOfEvaluator, CopyOfRangeEvaluator, EnumeratedDistributionEvaluator, EqualToEvaluator, ExclusiveOrEvaluator, ExponentialMovingAverageEvaluator, FrequencyTableEvaluator, GreaterThanEqualToEvaluator, GreaterThanEvaluator, HarmonicFitEvaluator, HistogramEvaluator, IfThenElseEvaluator, LessThanEqualToEvaluator, LessThanEvaluator, MultiplyEvaluator, OrEvaluator, PolyFitDerivativeEvaluator, PolyFitEvaluator, PrimesEvaluator, ResidualsEvaluator, SampleEvaluator, SequenceEvaluator, SubtractEvaluator

    public interface ManyValueWorker
    extends ValueWorker

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `doWork(Object... values)`

### Method Detail

#### doWork

    Object doWork(Object... values)
           throws IOException

Specified by:
  `doWork` in interface `ValueWorker`
Throws:
  `IOException`